summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorPat Gavlin <pgavlin@gmail.com>2016-08-23 10:18:54 -0700
committerGitHub <noreply@github.com>2016-08-23 10:18:54 -0700
commitb08d0366674eb086b1d07d14a6b36c0e2c8de203 (patch)
tree391673e6c5142be79d9bf7b72a42def3b1b96aaa /build.sh
parentab703ce987243e9573e04a05894294621e7046a8 (diff)
downloadcoreclr-b08d0366674eb086b1d07d14a6b36c0e2c8de203.tar.gz
coreclr-b08d0366674eb086b1d07d14a6b36c0e2c8de203.tar.bz2
coreclr-b08d0366674eb086b1d07d14a6b36c0e2c8de203.zip
Fix the ninja build for FC23. (#6861)
Fedora installs ninja under the name `ninja-build` rather than `ninja`.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 6a0a5b0f3a..011aee7b94 100755
--- a/build.sh
+++ b/build.sh
@@ -153,7 +153,14 @@ build_coreclr()
if [ $__UseNinja == 1 ]; then
generator="ninja"
buildFile="build.ninja"
- buildTool="ninja"
+ if which ninja >/dev/null 2>&1; then
+ buildTool="ninja"
+ elif which ninja-build >/dev/null 2>&1; then
+ buildTool="ninja-build"
+ else
+ echo "Unable to locate ninja!" 1>&2
+ exit 1
+ fi
fi
if [ $__SkipConfigure == 0 ]; then